Welcome to Esato.com




k810


Click to view updated thread with images




Posted by belkii29
hi guys i have update my k810 with sonyericsson updater, and now its not opening my fsx in xss software and saying software dont support your phone. can any one help me and give me the solution?

Posted by tranced
because it upgraded it to CID53.

SEUS is upgrading to CID53. Be careful! || Jdflasher a solution || patches can be applied now




Click to view updated thread with images


© Esato.com - From the Esato mobile phone discussion forum